taffybar-0.4.5: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe
Language | Haskell2010

System.Information.Network

Description

Provides information about network traffic over selected interfaces, obtained from parsing the `/proc/net/dev` file using some of the facilities provided by the System.Information.StreamInfo module.

Synopsis

- getNetInfo :: String -> IO (Maybe [Integer])

# Documentation

getNetInfo :: String -> IO (Maybe [Integer]) Source

Returns a two-element list containing the current number of bytes received and transmitted via the given network interface (e.g. "wlan0"), according to the contents of the `/proc/dev/net` file.